@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT KOBEI ΟΛΑ ΤΑ ΒΙΝΤΕΟ ΤΟΥ OBS ΣΤΙΣ ΔΙΑΣΤΑΣΕΙΣ ΠΟΥ ΤΟΥ ΟΡΙΖΕΤΕ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

for /F tokens^=* %%i in ('dir /b *.mp4 *.mov *.mkv *.flv *.avi') do (

	echo.
	echo Κόβω την Μισή Περιοχή στο Βίντεο "%%i" ..
	echo.
	call ffmpeg -v quiet -stats -loglevel error  -i "%%i" -vf "crop=1/2*in_w:1/2*in_h" -c:a copy "%%~ni-0.5-cropped.%%~xi"
    call vidChckCode.bat "%%i"
)

goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0